dbarmstrong Absent Member.
Absent Member.
222 views

Unix Agent Install prerequisites ....


I'm trying to install the latest UNIX Agent for Sentinel and have come
across a very basic issue that doesn't seem to have a work around.

I have ~300 Red Hat Enterprise Linux servers that I would like to deploy
the agent to.

They are all 64 bit servers.

There is a dependency in the agent install documentation that states,

"To remotely deploy UNIX agent components:

(Conditonal) If you are installing to 64-bit Linux computer, ensure that
glibc.i686 and pam-1.1.1-8.el6.i686 are installed. If you only have the
64-bit version of the Pluggable Authentication Module (PAM), uninstall
that version, install the 32-bit version, then apply the 64-bit version
to get all required functionality."

The documentation has been incorrectly written, I've opened an SR on
this issue, and this dependency in fact exists no matter which way you
intend to install the agent.

How am I expected to retrofit 300 64 bit hosts with two 32 bit packages
just for this agent.

Can the agent be written to use the 64 bit libraries/components?

Has anyone else come across this or know of a solution?

Thanks.


--
dbarmstrong
------------------------------------------------------------------------
dbarmstrong's Profile: https://forums.netiq.com/member.php?userid=7808
View this thread: https://forums.netiq.com/showthread.php?t=54303

0 Likes
1 Reply
Knowledge Partner Knowledge Partner
Knowledge Partner

Re: Unix Agent Install prerequisites ....

On RHEL are there not 32-bit libraries you can install at the same time?
At least on SLES you can install 'pam' (the x86_64 architecture natively
available) as well as pam-32bit (named for the x86_32 components)
simultaneously, and there is no order requirement for one vs. the other,
though usually the x86_64 packages, particularly for PAM, will be in place
already. Removing PAM stuff before re-adding it seems like a terrible
idea, though, for sure, and the same goes for glibc.

I suspect RHEL, like SLES, allows both to be installed.

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.